Crear una definición de rastreador externo en el catálogo de la empresa
curl --request POST \
--url https://clientapi.woku.app/v1/external-trackers \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"name": "trr",
"system": "crm interno",
"description": "transaction id of a lease or sale"
}
'import requests
url = "https://clientapi.woku.app/v1/external-trackers"
payload = {
"name": "trr",
"system": "crm interno",
"description": "transaction id of a lease or sale"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
name: 'trr',
system: 'crm interno',
description: 'transaction id of a lease or sale'
})
};
fetch('https://clientapi.woku.app/v1/external-trackers', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
v1 - external-trackers
Crear una definición de rastreador externo en el catálogo de la empresa
La empresa y el creador se resuelven del lado del servidor a partir de la clave del llamante. Los nombres de tracker son únicos por empresa.
POST
/
v1
/
external-trackers
Crear una definición de rastreador externo en el catálogo de la empresa
Autorizaciones
Clave API secreta de la empresa.
Encabezados
Clave generada por el cliente para hacer que la creación sea segura para reintentar. Un reintento con la misma clave devuelve el resultado original en lugar de crear de nuevo.
Cuerpo
application/json
Nombre del tracker. Identifica el tracker dentro del catálogo de la empresa. Único por empresa.
Required string length:
1 - 60Ejemplo:
"trr"
Sistema externo al que se asigna este rastreador.
Maximum string length:
80Ejemplo:
"crm interno"
Descripción legible para humanos del rastreador.
Maximum string length:
500Ejemplo:
"transaction id of a lease or sale"
Respuesta
Definición de tracker creada